<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:12 CEST 2020 -->
<title>RTComponentModelPackage</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RTComponentModelPackage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RTComponentModelPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" target="_top">Frames</a></li>
<li><a href="RTComponentModelPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel</div>
<h2 title="Interface RTComponentModelPackage" class="title">Interface RTComponentModelPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl">RTComponentModelPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RTComponentModelPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>RTComponentModelFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT">CH_RT_PORT_SLOT</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/CHRtPortSlotImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code><em>CH Rt Port Slot</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION">CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT__BASE_SLOT">CH_RT_PORT_SLOT__BASE_SLOT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Slot</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT__CH_RT_SPECIFICATION">CH_RT_PORT_SLOT__CH_RT_SPECIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>CH Rt Specification</b></em>' reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT_FEATURE_COUNT">CH_RT_PORT_SLOT_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>CH Rt Port Slot</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION">CH_RT_SPECIFICATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/CHRtSpecificationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code><em>CH Rt Specification</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__BASE_COMMENT">CH_RT_SPECIFICATION__BASE_COMMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Comment</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__BLOCK_T">CH_RT_SPECIFICATION__BLOCK_T</a></span></code>
<div class="block">The feature id for the '<em><b>Block T</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__CEILING">CH_RT_SPECIFICATION__CEILING</a></span></code>
<div class="block">The feature id for the '<em><b>Ceiling</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__CONTEXT">CH_RT_SPECIFICATION__CONTEXT</a></span></code>
<div class="block">The feature id for the '<em><b>Context</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__HEAP_SIZE">CH_RT_SPECIFICATION__HEAP_SIZE</a></span></code>
<div class="block">The feature id for the '<em><b>Heap Size</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__LOCAL_WCET">CH_RT_SPECIFICATION__LOCAL_WCET</a></span></code>
<div class="block">The feature id for the '<em><b>Local WCET</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT">CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT</a></span></code>
<div class="block">The feature id for the '<em><b>Memory Size Footprint</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__OCC_KIND">CH_RT_SPECIFICATION__OCC_KIND</a></span></code>
<div class="block">The feature id for the '<em><b>Occ Kind</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC">CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC</a></span></code>
<div class="block">The feature id for the '<em><b>Operation Req For Sporadic Occ</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__PART_WITH_PORT">CH_RT_SPECIFICATION__PART_WITH_PORT</a></span></code>
<div class="block">The feature id for the '<em><b>Part With Port</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__PROTECTION">CH_RT_SPECIFICATION__PROTECTION</a></span></code>
<div class="block">The feature id for the '<em><b>Protection</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__RELATIVE_PRIORITY">CH_RT_SPECIFICATION__RELATIVE_PRIORITY</a></span></code>
<div class="block">The feature id for the '<em><b>Relative Priority</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__RESP_T">CH_RT_SPECIFICATION__RESP_T</a></span></code>
<div class="block">The feature id for the '<em><b>Resp T</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__RL_DL">CH_RT_SPECIFICATION__RL_DL</a></span></code>
<div class="block">The feature id for the '<em><b>Rl Dl</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__SLOT">CH_RT_SPECIFICATION__SLOT</a></span></code>
<div class="block">The feature id for the '<em><b>Slot</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__STACK_SIZE">CH_RT_SPECIFICATION__STACK_SIZE</a></span></code>
<div class="block">The feature id for the '<em><b>Stack Size</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__WCET">CH_RT_SPECIFICATION__WCET</a></span></code>
<div class="block">The feature id for the '<em><b>WCET</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION_FEATURE_COUNT">CH_RT_SPECIFICATION_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>CH Rt Specification</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT">RUN_TIME_SUPPORT</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RunTimeSupportImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code><em>Run Time Support</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT__BASE_COMMENT">RUN_TIME_SUPPORT__BASE_COMMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Comment</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT__MONITORING">RUN_TIME_SUPPORT__MONITORING</a></span></code>
<div class="block">The feature id for the '<em><b>Monitoring</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT__VERIFICATION">RUN_TIME_SUPPORT__VERIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>Verification</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT_FEATURE_COUNT">RUN_TIME_SUPPORT_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Run Time Support</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot_Base_InstanceSpecification--">getCHRtPortSlot_Base_InstanceSpecification</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot_Base_Slot--">getCHRtPortSlot_Base_Slot</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_Slot--"><code><em>Base Slot</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot_CH_RtSpecification--">getCHRtPortSlot_CH_RtSpecification</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getCH_RtSpecification--"><code><em>CH Rt Specification</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--">getCHRtPortSlot</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code><em>CH Rt Port Slot</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Base_Comment--">getCHRtSpecification_Base_Comment</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBase_Comment--"><code><em>Base Comment</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_BlockT--">getCHRtSpecification_BlockT</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBlockT--"><code><em>Block T</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Ceiling--">getCHRtSpecification_Ceiling</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getCeiling--"><code><em>Ceiling</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Context--">getCHRtSpecification_Context</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getContext--"><code><em>Context</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_HeapSize--">getCHRtSpecification_HeapSize</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getHeapSize--"><code><em>Heap Size</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_LocalWCET--">getCHRtSpecification_LocalWCET</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getLocalWCET--"><code><em>Local WCET</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_MemorySizeFootprint--">getCHRtSpecification_MemorySizeFootprint</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getMemorySizeFootprint--"><code><em>Memory Size Footprint</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_OccKind--">getCHRtSpecification_OccKind</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOccKind--"><code><em>Occ Kind</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_OperationReqForSporadicOcc--">getCHRtSpecification_OperationReqForSporadicOcc</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOperationReqForSporadicOcc--"><code><em>Operation Req For Sporadic Occ</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_PartWithPort--">getCHRtSpecification_PartWithPort</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getPartWithPort--"><code><em>Part With Port</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Protection--">getCHRtSpecification_Protection</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getProtection--"><code><em>Protection</em></code></a>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_RelativePriority--">getCHRtSpecification_RelativePriority</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRelativePriority--"><code><em>Relative Priority</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_RespT--">getCHRtSpecification_RespT</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRespT--"><code><em>Resp T</em></code></a>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_RlDl--">getCHRtSpecification_RlDl</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRlDl--"><code><em>Rl Dl</em></code></a>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Slot--">getCHRtSpecification_Slot</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getSlot--"><code><em>Slot</em></code></a>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_StackSize--">getCHRtSpecification_StackSize</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getStackSize--"><code><em>Stack Size</em></code></a>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_WCET--">getCHRtSpecification_WCET</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getWCET--"><code><em>WCET</em></code></a>'.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--">getCHRtSpecification</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code><em>CH Rt Specification</em></code></a>'.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRTComponentModelFactory--">getRTComponentModelFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport_Base_Comment--">getRunTimeSupport_Base_Comment</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#getBase_Comment--"><code><em>Base Comment</em></code></a>'.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport_Monitoring--">getRunTimeSupport_Monitoring</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isMonitoring--"><code><em>Monitoring</em></code></a>'.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport_Verification--">getRunTimeSupport_Verification</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isVerification--"><code><em>Verification</em></code></a>'.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--">getRunTimeSupport</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code><em>Run Time Support</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;java.lang.String eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;java.lang.String eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;java.lang.String eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CH_RT_PORT_SLOT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_PORT_SLOT</h4>
<pre>static final&nbsp;int CH_RT_PORT_SLOT</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/CHRtPortSlotImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code><em>CH Rt Port Slot</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/CHRtPortSlotImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code>CHRtPortSlotImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtPortSlot--"><code>RTComponentModelPackageImpl.getCHRtPortSlot()</code></a>, 
<a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_PORT_SLOT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RUN_TIME_SUPPORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUN_TIME_SUPPORT</h4>
<pre>static final&nbsp;int RUN_TIME_SUPPORT</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RunTimeSupportImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code><em>Run Time Support</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RunTimeSupportImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code>RunTimeSupportImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getRunTimeSupport--"><code>RTComponentModelPackageImpl.getRunTimeSupport()</code></a>, 
<a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.RUN_TIME_SUPPORT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/CHRtSpecificationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code><em>CH Rt Specification</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/CHRtSpecificationImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><code>CHRtSpecificationImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification--"><code>RTComponentModelPackageImpl.getCHRtSpecification()</code></a>, 
<a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__PART_WITH_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__PART_WITH_PORT</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__PART_WITH_PORT</pre>
<div class="block">The feature id for the '<em><b>Part With Port</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__PART_WITH_PORT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__WCET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__WCET</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__WCET</pre>
<div class="block">The feature id for the '<em><b>WCET</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__WCET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__LOCAL_WCET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__LOCAL_WCET</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__LOCAL_WCET</pre>
<div class="block">The feature id for the '<em><b>Local WCET</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__LOCAL_WCET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__RELATIVE_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__RELATIVE_PRIORITY</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__RELATIVE_PRIORITY</pre>
<div class="block">The feature id for the '<em><b>Relative Priority</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__RELATIVE_PRIORITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__CEILING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__CEILING</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__CEILING</pre>
<div class="block">The feature id for the '<em><b>Ceiling</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__CEILING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT</pre>
<div class="block">The feature id for the '<em><b>Memory Size Footprint</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__STACK_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__STACK_SIZE</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__STACK_SIZE</pre>
<div class="block">The feature id for the '<em><b>Stack Size</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__STACK_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__HEAP_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__HEAP_SIZE</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__HEAP_SIZE</pre>
<div class="block">The feature id for the '<em><b>Heap Size</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__HEAP_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__SLOT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__SLOT</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__SLOT</pre>
<div class="block">The feature id for the '<em><b>Slot</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__SLOT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__BASE_COMMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__BASE_COMMENT</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__BASE_COMMENT</pre>
<div class="block">The feature id for the '<em><b>Base Comment</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__BASE_COMMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__OCC_KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__OCC_KIND</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__OCC_KIND</pre>
<div class="block">The feature id for the '<em><b>Occ Kind</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__OCC_KIND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__PROTECTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__PROTECTION</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__PROTECTION</pre>
<div class="block">The feature id for the '<em><b>Protection</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__PROTECTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__RL_DL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__RL_DL</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__RL_DL</pre>
<div class="block">The feature id for the '<em><b>Rl Dl</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__RL_DL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__CONTEXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__CONTEXT</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__CONTEXT</pre>
<div class="block">The feature id for the '<em><b>Context</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__CONTEXT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__RESP_T">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__RESP_T</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__RESP_T</pre>
<div class="block">The feature id for the '<em><b>Resp T</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__RESP_T">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__BLOCK_T">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__BLOCK_T</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__BLOCK_T</pre>
<div class="block">The feature id for the '<em><b>Block T</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__BLOCK_T">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC</pre>
<div class="block">The feature id for the '<em><b>Operation Req For Sporadic Occ</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_SPECIFICATION_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_SPECIFICATION_FEATURE_COUNT</h4>
<pre>static final&nbsp;int CH_RT_SPECIFICATION_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>CH Rt Specification</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_SPECIFICATION_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_PORT_SLOT__BASE_SLOT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_PORT_SLOT__BASE_SLOT</h4>
<pre>static final&nbsp;int CH_RT_PORT_SLOT__BASE_SLOT</pre>
<div class="block">The feature id for the '<em><b>Base Slot</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_PORT_SLOT__BASE_SLOT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_PORT_SLOT__CH_RT_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_PORT_SLOT__CH_RT_SPECIFICATION</h4>
<pre>static final&nbsp;int CH_RT_PORT_SLOT__CH_RT_SPECIFICATION</pre>
<div class="block">The feature id for the '<em><b>CH Rt Specification</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_PORT_SLOT__CH_RT_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION</h4>
<pre>static final&nbsp;int CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION</pre>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_RT_PORT_SLOT_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_RT_PORT_SLOT_FEATURE_COUNT</h4>
<pre>static final&nbsp;int CH_RT_PORT_SLOT_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>CH Rt Port Slot</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.CH_RT_PORT_SLOT_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RUN_TIME_SUPPORT__MONITORING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUN_TIME_SUPPORT__MONITORING</h4>
<pre>static final&nbsp;int RUN_TIME_SUPPORT__MONITORING</pre>
<div class="block">The feature id for the '<em><b>Monitoring</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.RUN_TIME_SUPPORT__MONITORING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RUN_TIME_SUPPORT__VERIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUN_TIME_SUPPORT__VERIFICATION</h4>
<pre>static final&nbsp;int RUN_TIME_SUPPORT__VERIFICATION</pre>
<div class="block">The feature id for the '<em><b>Verification</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.RUN_TIME_SUPPORT__VERIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RUN_TIME_SUPPORT__BASE_COMMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUN_TIME_SUPPORT__BASE_COMMENT</h4>
<pre>static final&nbsp;int RUN_TIME_SUPPORT__BASE_COMMENT</pre>
<div class="block">The feature id for the '<em><b>Base Comment</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.RUN_TIME_SUPPORT__BASE_COMMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RUN_TIME_SUPPORT_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RUN_TIME_SUPPORT_FEATURE_COUNT</h4>
<pre>static final&nbsp;int RUN_TIME_SUPPORT_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Run Time Support</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage.RUN_TIME_SUPPORT_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCHRtPortSlot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getCHRtPortSlot()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code><em>CH Rt Port Slot</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Rt Port Slot</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>CHRtPortSlot</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot_Base_Slot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot_Base_Slot</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtPortSlot_Base_Slot()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_Slot--"><code><em>Base Slot</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Slot</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_Slot--"><code>CHRtPortSlot.getBase_Slot()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--"><code>getCHRtPortSlot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot_CH_RtSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot_CH_RtSpecification</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtPortSlot_CH_RtSpecification()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getCH_RtSpecification--"><code><em>CH Rt Specification</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>CH Rt Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getCH_RtSpecification--"><code>CHRtPortSlot.getCH_RtSpecification()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--"><code>getCHRtPortSlot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot_Base_InstanceSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot_Base_InstanceSpecification</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtPortSlot_Base_InstanceSpecification()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Instance Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_InstanceSpecification--"><code>CHRtPortSlot.getBase_InstanceSpecification()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--"><code>getCHRtPortSlot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getRunTimeSupport()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code><em>Run Time Support</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Run Time Support</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>RunTimeSupport</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport_Monitoring--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport_Monitoring</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRunTimeSupport_Monitoring()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isMonitoring--"><code><em>Monitoring</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Monitoring</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isMonitoring--"><code>RunTimeSupport.isMonitoring()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--"><code>getRunTimeSupport()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport_Verification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport_Verification</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getRunTimeSupport_Verification()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isVerification--"><code><em>Verification</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Verification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isVerification--"><code>RunTimeSupport.isVerification()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--"><code>getRunTimeSupport()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport_Base_Comment--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport_Base_Comment</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getRunTimeSupport_Base_Comment()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#getBase_Comment--"><code><em>Base Comment</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Comment</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#getBase_Comment--"><code>RunTimeSupport.getBase_Comment()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--"><code>getRunTimeSupport()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getCHRtSpecification()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code><em>CH Rt Specification</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Rt Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>CHRtSpecification</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_PartWithPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_PartWithPort</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_PartWithPort()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getPartWithPort--"><code><em>Part With Port</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Part With Port</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getPartWithPort--"><code>CHRtSpecification.getPartWithPort()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_WCET--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_WCET</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_WCET()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getWCET--"><code><em>WCET</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>WCET</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getWCET--"><code>CHRtSpecification.getWCET()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_LocalWCET--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_LocalWCET</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_LocalWCET()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getLocalWCET--"><code><em>Local WCET</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Local WCET</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getLocalWCET--"><code>CHRtSpecification.getLocalWCET()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_RelativePriority--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_RelativePriority</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_RelativePriority()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRelativePriority--"><code><em>Relative Priority</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Relative Priority</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRelativePriority--"><code>CHRtSpecification.getRelativePriority()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Ceiling--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Ceiling</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_Ceiling()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getCeiling--"><code><em>Ceiling</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Ceiling</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getCeiling--"><code>CHRtSpecification.getCeiling()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_MemorySizeFootprint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_MemorySizeFootprint</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_MemorySizeFootprint()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getMemorySizeFootprint--"><code><em>Memory Size Footprint</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Memory Size Footprint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getMemorySizeFootprint--"><code>CHRtSpecification.getMemorySizeFootprint()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_StackSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_StackSize</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_StackSize()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getStackSize--"><code><em>Stack Size</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Stack Size</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getStackSize--"><code>CHRtSpecification.getStackSize()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_HeapSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_HeapSize</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_HeapSize()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getHeapSize--"><code><em>Heap Size</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Heap Size</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getHeapSize--"><code>CHRtSpecification.getHeapSize()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Slot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Slot</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_Slot()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getSlot--"><code><em>Slot</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Slot</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getSlot--"><code>CHRtSpecification.getSlot()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Base_Comment--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Base_Comment</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_Base_Comment()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBase_Comment--"><code><em>Base Comment</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Comment</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBase_Comment--"><code>CHRtSpecification.getBase_Comment()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_OccKind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_OccKind</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_OccKind()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOccKind--"><code><em>Occ Kind</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Occ Kind</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOccKind--"><code>CHRtSpecification.getOccKind()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Protection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Protection</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_Protection()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getProtection--"><code><em>Protection</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Protection</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getProtection--"><code>CHRtSpecification.getProtection()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_RlDl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_RlDl</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_RlDl()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRlDl--"><code><em>Rl Dl</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Rl Dl</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRlDl--"><code>CHRtSpecification.getRlDl()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Context--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Context</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_Context()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getContext--"><code><em>Context</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Context</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getContext--"><code>CHRtSpecification.getContext()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_RespT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_RespT</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_RespT()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRespT--"><code><em>Resp T</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Resp T</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRespT--"><code>CHRtSpecification.getRespT()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_BlockT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_BlockT</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_BlockT()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBlockT--"><code><em>Block T</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Block T</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBlockT--"><code>CHRtSpecification.getBlockT()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_OperationReqForSporadicOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_OperationReqForSporadicOcc</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_OperationReqForSporadicOcc()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOperationReqForSporadicOcc--"><code><em>Operation Req For Sporadic Occ</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Operation Req For Sporadic Occ</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOperationReqForSporadicOcc--"><code>CHRtSpecification.getOperationReqForSporadicOcc()</code></a>, 
<a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRTComponentModelFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRTComponentModelFactory</h4>
<pre><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelFactory</a>&nbsp;getRTComponentModelFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RTComponentModelPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" target="_top">Frames</a></li>
<li><a href="RTComponentModelPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
